;**************************************************************************
;*
;* Boot-ROM-Code to load an operating system across a TCP/IP network.
;*
;* Module:  minidos.inc
;* Purpose: Define public DOS values and structures
;* Entries: None
;*
;**************************************************************************
;*
;* Copyright (C) 1995,1996 Gero Kuhlmann <gero@gkminix.han.de>
;*
;*  This program is free software; you can redistribute it and/or modify
;*  it under the terms of the GNU General Public License as published by
;*  the Free Software Foundation; either version 2 of the License, or
;*  any later version.
;*
;*  This program is distributed in the hope that it will be useful,
;*  but WITHOUT ANY WARRANTY; without even the implied warranty of
;*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;*  GNU General Public License for more details.
;*
;*  You should have received a copy of the GNU General Public License
;*  along with this program; if not, write to the Free Software
;*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;*


;
;**************************************************************************
;
; DOS error codes
;
NOTERR		equ	37h		; last DOS function which does not
					; return an error code in AX
ERR_NOFN	equ	1		; function does not exist
ERR_NOFILE	equ	2		; file not found
ERR_NODIR	equ	3		; directory not found
ERR_TOOMANY	equ	4		; too many open files
ERR_NOACC	equ	5		; access denied
ERR_INVHDL	equ	6		; invalid file handle
ERR_INVMCB	equ	7		; invalid memory control block
ERR_NOMEM	equ	8		; not enough memory
ERR_INVMEM	equ	9		; invalid memory block address
ERR_INVENV	equ	10		; invalid environment
ERR_INVFORM	equ	11		; invalid format
ERR_INVACC	equ	12		; invalid access code
ERR_INVDATA	equ	13		; invalid data
ERR_INVDRV	equ	15		; invalid drive
ERR_DELACT	equ	16		; not allowed to delete active dir
ERR_NODEV	equ	17		; device not available
ERR_NOMORE	equ	18		; no more files
ERR_WRTPROT	equ	19		; disk is write protected
ERR_NODISK	equ	20		; disk device not available
ERR_NOTRDY	equ	21		; drive not ready
ERR_INVCMD	equ	22		; invalid disk command
ERR_CRCERR	equ	23		; CRC error
ERR_TIMOUT	equ	24		; time out of disk operation
ERR_SEARCH	equ	25		; error searching disk block
ERR_NODOS	equ	26		; no DOS diskette
ERR_NOSECT	equ	27		; sector not found
ERR_NOPAPER	equ	28		; no paper in printer
ERR_WRITE	equ	29		; write error
ERR_READ	equ	30		; read error
ERR_GENERAL	equ	31		; general error


;
;**************************************************************************
;
; Definition of reserved file handles.
;
RES_HANDLES	equ	5		; total number of reserved handles

RES_STDIN	equ	0		; stdin file handle
RES_STDOUT	equ	1		; stdout file handle
RES_STDERR	equ	2		; stderr file handle
RES_AUX		equ	3		; AUX device file handle
RES_PRN		equ	4		; PRN device file handle


;
;**************************************************************************
;
; Definitions for program management:
;
COM_MAGIC	equ	4B47h		; magic cookie for COM program images
COM_SIZE_OFS	equ	2		; offset to value giving size of image
COM_CODE_OFS	equ	4		; offset ot code image
COM_MIN_FREE	equ	0110h		; minimum number of free paragraphs


; program parameter block:

prog_param	struc

prog_env	dw	?		; segment of environment
prog_cmdl	dd	?		; pointer to command line
prog_fcb1	dd	?		; pointer to FCB 1
prog_fcb2	dd	?		; pointer to FCB 2

prog_param	ends


