.\" @(#)mknbi.8	1.3 96/05/16
.TH MKNBI 8 "16 May 1996"
.SH NAME
mknbi \- MaKe NetBoot Image for Linux kernel
.SH SYNOPSIS
.B mknbi
[
.SM \-s
<max command line size>] [
.SM \-i
rom|kernel|<client:server:gateway:netmask:hostname>] [
.SM \-d
rom|kernel|<path>] [
.SM \-a
append] [
.SM \-r
<ramdisk> [
.SM \-l
auto|eom|<address>]] [[
.SM \-k
] <image>] [[
.SM \-o
] <output>] [
.SM \-b
] [
.SM \-v
] [
.SM \-h
]
.SH DESCRIPTION
.B mknbi
is a program to convert a
.SM Linux
kernel image into a file suitable for loading by diskless
systems using a
.SM Boot-Rom.
.SH OPTIONS
.TP
.B \-d
Define name of directory to mount via NFS from the boot server.
If
.B rom
is given, that directory is used as root in which the loaded netboot
image file is located. This is determined by the
.SM Boot-Rom
at run time, usually by using the bootp-Protocol.
If the bootp Server is able to handle the RFC 1497 extensions,
it is possible to define a different root directory. With
.B kernel
the directory name is the default name used by the kernel.
If the
.B \-d
option is missing, the default is
.IR /tftpboot/%s
, with the
.B "%s"
representing the IP-Number of the booting system.
.TP
.B \-i
Define client and server IP addresses. If
.B rom
is given, determine all necessary IP addresses for mounting
the root directory via NFS using the bootp answer the boot rom
got from the server during run time. With
.B kernel
no IP addresses are defined, and the kernel should determine them
by itself, ususally by using RARP or BOOTP. If the
.B \-i
option is missing, the default is to let the kernel determine the
addresses. However, it's also possible to define the addresses
during compilation of the boot image. Then, all addresses must be
seperated by a colon, and ordered in the following way:
<client-IP:server-IP:gateway-IP:netmask:hostname>. Using this option
.B mknbi
will automatically convert system names into decimal IP addresses,
except for the host name which is a normal string.
.TP
.B \-k
Pathname of kernel image file. The default is
.IR /vmlinuz.
.TP
.B \-o
Pathname of output file, which is lateron loaded by the
.SM Boot-Rom
via
.SM tftp.
The default is
.B stdout.
.TP
.B \-a
String to append to the end of the kernel command line.
.TP
.B \-b
This flag needs to be given when converting a
.B big
kernel image (aka
.BR bzImage
).
.TP
.B \-h
Print short help message and terminate immediately.
.TP
.B \-r
Preloaded ramdisk image; for further information look into
.I linux/Documentation/initrd.txt
in the Linux source tree.
.TP
.B \-l
The startup code that will be include in the netboot image, can
usually take care of moving the ramdisk image to a valid location in
memory. But depending on the version of your BIOS, the kind of
Boot-Prom you use, and the fact that you might have more than 16MB of
memory, there could be difficulties. In this case, you will have to
provide further information:
.RS
.TP
.B auto
This is the default behavior. The Boot-Prom will load the ramdisk
image at address 0x100000 (if the kernel is already loaded there, the
ramdisk image will be moved right behind the kernel image). The
startup code will then try to determine the last legal address in the
lower 16MB and subsequently move the ramdisk image there. This
technique will work in most cases and provides the highest degree of
compatibility and portability among different machines.
.TP
.B eom
If
.B auto
does not work for you, you should check if your Boot-Prom is capable
of loading the ramdisk image to the end of the physical memory. This
might work fine, but it is slightly less compatible than
.BR auto .
.TP
.B <address>
If everything else fails, you can resort to explicitly specify the
load address. This is likely to cause problems, when trying to use the
same image on machines with different amounts of memory, though. You should
try to specify an address that is both below 16MB and below the
physical end of memory; you will have to leave enough room for the
entire (compressed) ramdisk image. If you move the image too low, it
will collide with the uncompressed kernel image and the kernel will
ignore the contents of the ramdisk; you will notice a warning message,
when booting. If you have at least 16MB of main memory, you should try
to load the image to
.BR 0xD30000 ,
as this leaves enough room for an uncompressed 2.88MB ramdisk image,
but is unlikely to conflict with the uncompressed kernel image.
.RE
.TP
.B \-s
Maximum size of command line. This parameter specifies how much
memory the boot loader should reserve for assembling the kernel
command line. If the kernel command line is longer it automatically
gets truncated. The lowest usable value for this parameter is 2048.
Use
.B \-s
only if you know what you are doing because it can scramble the
memory layout of the boot loader.
.TP
.B \-v
Verbose output to let you know what mknbi is doing.
.SH BUGS
None known yet
.SH AUTHOR
.B mknbi
was written by
.B Gero Kuhlmann <gero@gkminix.han.de>.
Ramdisk loading has been added by
.B Markus Gutschke <gutschk@uni-muenster.de>.

